NewWacht Bench is live — AI-assisted development for Wacht

Update User

PATCH
/users/{user_id}

Authorization

bearerAuth
AuthorizationBearer <token>

API key issued from the Wacht platform dashboard. Pass as a Bearer token: Authorization: Bearer <api_key>

In: header

Path Parameters

user_id*string

Request Body

multipart/form-data

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://api.wacht.dev/users/string"
{
  "id": "string",
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z",
  "first_name": "string",
  "last_name": "string",
  "username": "string",
  "profile_picture_url": "string",
  "schema_version": "v1",
  "disabled": true,
  "second_factor_policy": "none",
  "availability": "string",
  "last_password_reset_at": "2019-08-24T14:15:22Z",
  "active_organization_membership_id": "string",
  "active_workspace_membership_id": "string",
  "deployment_id": "string",
  "public_metadata": null,
  "private_metadata": null,
  "primary_email_address_id": "string",
  "primary_email_address": "string",
  "primary_phone_number_id": "string",
  "primary_phone_number": "string",
  "email_addresses": [
    {
      "id": "string",
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z",
      "deployment_id": "string",
      "user_id": "string",
      "email": "string",
      "is_primary": true,
      "verified": true,
      "verified_at": "2019-08-24T14:15:22Z",
      "verification_strategy": "otp"
    }
  ],
  "phone_numbers": [
    {
      "id": "string",
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z",
      "user_id": "string",
      "phone_number": "string",
      "country_code": "string",
      "verified": true,
      "verified_at": "2019-08-24T14:15:22Z"
    }
  ],
  "social_connections": [
    {
      "id": "string",
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z",
      "user_id": "string",
      "user_email_address_id": "string",
      "provider": "x_oauth",
      "email_address": "string",
      "access_token": "string",
      "refresh_token": "string"
    }
  ],
  "segments": [
    {
      "id": "string",
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z",
      "deleted_at": "2019-08-24T14:15:22Z",
      "deployment_id": "string",
      "name": "string",
      "type": "string"
    }
  ],
  "has_password": true,
  "has_backup_codes": true
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}